Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.consensus
Class CinemaConsensusDisplay

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
                              |
                              +--uk.ac.man.bioinf.apps.cinema.consensus.CinemaConsensusDisplay

All Implemented Interfaces:
  AlignmentEventProvider, CinemaActionProvider, EventListener, PropertyChangeListener

public class CinemaConsensusDisplay
extends CinemaGuiModule
implements CinemaActionProvider, PropertyChangeListener

CinemaConsensusDisplay.java Created: Thu Nov 9 15:06:00 2000

Version:
  $Id: CinemaConsensusDisplay.java,v 1.10 2001/05/22 15:50:18 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaConsensusDisplay()`

Method Summary
`Action[]` | `getActions()`
`CinemaConsensus` | `getConsensusModule()`
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`String` | `getVersion()` Returns the version of this module.
`void` | `load()` The method called for the load of this module.
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
`destroy, getAlignmentFrame, getFrame, getJMenuBar, getRowHeaders, getRuler, getRulerPanel, getScrollPane, getStatusBar, getViewer, setFrameTitle`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaConsensusDisplay

    public CinemaConsensusDisplay()

Method Detail

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`
    `ModuleException`

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### getActions

    public Action[] getActions()

  Specified by:
    `getActions` in interface `CinemaActionProvider`

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `CinemaGuiModule`
  Returns:
    the required module identifiers

### getConsensusModule

    public CinemaConsensus getConsensusModule()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD